=== modified file 'olive-gtk'
--- olive-gtk	2006-08-21 23:24:32 +0000
+++ olive-gtk	2006-09-06 00:22:31 +0000
@@ -56,7 +56,7 @@
 import gettext
 gettext.install('olive-gtk')
 
-from olive.frontend.gtk import OliveGtk
+from olive import OliveGtk
 
 app = OliveGtk()
 gtk.main()

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-09-05 01:55:34 +0000
+++ olive/__init__.py	2006-09-06 00:22:31 +0000
@@ -230,6 +230,7 @@
         
         # Check if current directory is versioned
         try:
+            from bzrlib.branch import Branch
             Branch.open_containing(self.comm.get_path())
             # Activate some items
             self.comm.menuitem_branch_init.set_sensitive(False)
@@ -252,7 +253,7 @@
             self.comm.toolbutton_commit.set_sensitive(True)
             self.comm.toolbutton_pull.set_sensitive(True)
             self.comm.toolbutton_push.set_sensitive(True)
-        except NotBranchError:
+        except errors.NotBranchError:
             # Deactivate some items
             self.comm.menuitem_branch_init.set_sensitive(True)
             self.comm.menuitem_branch_get.set_sensitive(False)
@@ -450,54 +451,51 @@
         
         # Check if current directory is a branch
         try:
-            br = is_branch(self.get_path())
-        except errors.PermissionDenied:
-            pass
-        else:
-            if br:
-                # Activate some items
-                self.menuitem_branch_init.set_sensitive(False)
-                self.menuitem_branch_get.set_sensitive(True)
-                self.menuitem_branch_checkout.set_sensitive(True)
-                self.menuitem_branch_pull.set_sensitive(True)
-                self.menuitem_branch_push.set_sensitive(True)
-                self.menuitem_branch_commit.set_sensitive(True)
-                self.menuitem_branch_status.set_sensitive(True)
-                self.menuitem_branch_missing.set_sensitive(True)
-                self.menuitem_stats.set_sensitive(True)
-                self.menuitem_add_files.set_sensitive(True)
-                self.menuitem_remove_files.set_sensitive(True)
-                self.menuitem_file_make_directory.set_sensitive(True)
-                self.menuitem_file_rename.set_sensitive(True)
-                self.menuitem_file_move.set_sensitive(True)
-                #self.menutoolbutton_diff.set_sensitive(True)
-                self.toolbutton_diff.set_sensitive(True)
-                self.toolbutton_log.set_sensitive(True)
-                self.toolbutton_commit.set_sensitive(True)
-                self.toolbutton_pull.set_sensitive(True)
-                self.toolbutton_push.set_sensitive(True)
-            else:
-                # Deactivate some items
-                self.menuitem_branch_init.set_sensitive(True)
-                self.menuitem_branch_get.set_sensitive(False)
-                self.menuitem_branch_checkout.set_sensitive(False)
-                self.menuitem_branch_pull.set_sensitive(False)
-                self.menuitem_branch_push.set_sensitive(False)
-                self.menuitem_branch_commit.set_sensitive(False)
-                self.menuitem_branch_status.set_sensitive(False)
-                self.menuitem_branch_missing.set_sensitive(False)
-                self.menuitem_stats.set_sensitive(False)
-                self.menuitem_add_files.set_sensitive(False)
-                self.menuitem_remove_files.set_sensitive(False)
-                self.menuitem_file_make_directory.set_sensitive(False)
-                self.menuitem_file_rename.set_sensitive(False)
-                self.menuitem_file_move.set_sensitive(False)
-                #self.menutoolbutton_diff.set_sensitive(False)
-                self.toolbutton_diff.set_sensitive(False)
-                self.toolbutton_log.set_sensitive(False)
-                self.toolbutton_commit.set_sensitive(False)
-                self.toolbutton_pull.set_sensitive(False)
-                self.toolbutton_push.set_sensitive(False)
+            from bzrlib.branch import Branch
+            Branch.open_containing(self.get_path())
+            # Activate some items
+            self.menuitem_branch_init.set_sensitive(False)
+            self.menuitem_branch_get.set_sensitive(True)
+            self.menuitem_branch_checkout.set_sensitive(True)
+            self.menuitem_branch_pull.set_sensitive(True)
+            self.menuitem_branch_push.set_sensitive(True)
+            self.menuitem_branch_commit.set_sensitive(True)
+            self.menuitem_branch_status.set_sensitive(True)
+            self.menuitem_branch_missing.set_sensitive(True)
+            self.menuitem_stats.set_sensitive(True)
+            self.menuitem_add_files.set_sensitive(True)
+            self.menuitem_remove_files.set_sensitive(True)
+            self.menuitem_file_make_directory.set_sensitive(True)
+            self.menuitem_file_rename.set_sensitive(True)
+            self.menuitem_file_move.set_sensitive(True)
+            #self.menutoolbutton_diff.set_sensitive(True)
+            self.toolbutton_diff.set_sensitive(True)
+            self.toolbutton_log.set_sensitive(True)
+            self.toolbutton_commit.set_sensitive(True)
+            self.toolbutton_pull.set_sensitive(True)
+            self.toolbutton_push.set_sensitive(True)
+        except errors.NotBranchError:
+            # Deactivate some items
+            self.menuitem_branch_init.set_sensitive(True)
+            self.menuitem_branch_get.set_sensitive(False)
+            self.menuitem_branch_checkout.set_sensitive(False)
+            self.menuitem_branch_pull.set_sensitive(False)
+            self.menuitem_branch_push.set_sensitive(False)
+            self.menuitem_branch_commit.set_sensitive(False)
+            self.menuitem_branch_status.set_sensitive(False)
+            self.menuitem_branch_missing.set_sensitive(False)
+            self.menuitem_stats.set_sensitive(False)
+            self.menuitem_add_files.set_sensitive(False)
+            self.menuitem_remove_files.set_sensitive(False)
+            self.menuitem_file_make_directory.set_sensitive(False)
+            self.menuitem_file_rename.set_sensitive(False)
+            self.menuitem_file_move.set_sensitive(False)
+            #self.menutoolbutton_diff.set_sensitive(False)
+            self.toolbutton_diff.set_sensitive(False)
+            self.toolbutton_log.set_sensitive(False)
+            self.toolbutton_commit.set_sensitive(False)
+            self.toolbutton_pull.set_sensitive(False)
+            self.toolbutton_push.set_sensitive(False)
         
         self.set_busy(self.treeview_right, False)
 
@@ -638,7 +636,7 @@
     
     try:
         tree1 = WorkingTree.open_containing(filename)[0]
-    except NotBranchError:
+    except errors.NotBranchError:
         return 'unknown'
     
     branch = tree1.branch

=== modified file 'olive/commit.py'
--- olive/commit.py	2006-09-05 01:55:34 +0000
+++ olive/commit.py	2006-09-06 00:22:31 +0000
@@ -93,6 +93,7 @@
                                      _('You can perform this action only in a branch.'))
             self.close()
         else:
+            from bzrlib.branch import Branch
             branch = Branch.open_containing(self.comm.get_path())[0]
 
             if branch.get_bound_location() is not None:

=== modified file 'olive/dialog.py'
--- olive/dialog.py	2006-09-05 01:55:34 +0000
+++ olive/dialog.py	2006-09-06 00:22:31 +0000
@@ -33,14 +33,14 @@
         
     def about(self):
         """ Display the AboutDialog. """
-        import olive.frontend.gtk
+        import olive
 
         # Load AboutDialog description
         dglade = gtk.glade.XML(self.gladefile, 'aboutdialog')
         dialog = dglade.get_widget('aboutdialog')
 
         # Set version
-        dialog.set_version(olive.frontend.gtk.__version__)
+        dialog.set_version(olive.__version__)
     
     def _message_dialog(self, type, primary, secondary):
         """ Display a given type of MessageDialog with the given message.

=== modified file 'olive/handler.py'
--- olive/handler.py	2006-09-05 01:55:34 +0000
+++ olive/handler.py	2006-09-06 00:22:31 +0000
@@ -114,12 +114,13 @@
 
         try:
             try:
+                from bzrlib.workingtree import WorkingTree
                 tree_to = WorkingTree.open_containing(self.comm.get_path())[0]
                 branch_to = tree_to.branch
-            except NoWorkingTree:
+            except errors.NoWorkingTree:
                 tree_to = None
                 branch_to = Branch.open_containing(self.comm.get_path())[0]
-            except NoBranchError:
+            except errors.NotBranchError:
                  self.dialog.error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
 
@@ -140,9 +141,9 @@
 
             old_rh = branch_to.revision_history()
             if tree_to is not None:
-                tree_to.pull(branch_from, overwrite)
+                tree_to.pull(branch_from)
             else:
-                branch_to.pull(branch_from, overwrite)
+                branch_to.pull(branch_from)
             
             self.dialog.info_dialog(_('Pull successful'),
                                     _('%d revision(s) pulled.') % ret)
@@ -286,12 +287,14 @@
             m_commit = self.menu.ui.get_widget('/context_right/commit')
             m_diff = self.menu.ui.get_widget('/context_right/diff')
             # check if we're in a branch
-            if not is_branch(self.comm.get_path()):
+            try:
+                from bzrlib.branch import Branch
+                Branch.open_containing(self.comm.get_path())
                 m_add.set_sensitive(False)
                 m_remove.set_sensitive(False)
                 m_commit.set_sensitive(False)
                 m_diff.set_sensitive(False)
-            else:
+            except errors.NotBranchError:
                 m_add.set_sensitive(True)
                 m_remove.set_sensitive(True)
                 m_commit.set_sensitive(True)

